Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# POA_CORBA::Policy Class Reference

`#include <PolicyS.h>`

Inheritance diagram for POA_CORBA::Policy:

[legend]
Collaboration diagram for POA_CORBA::Policy:

[legend]
List of all members.

## Public Types
typedef ::CORBA::Policy | _stub_type
typedef ::CORBA::Policy_ptr | _stub_ptr_type
typedef ::CORBA::Policy_var | _stub_var_type
## Public Methods
| Policy (const Policy &rhs)
virtual | ~Policy (void)
virtual CORBA::Boolean | _is_a (const char *logical_type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Local implementation of the CORBA::Object::_is_a method.
virtual void * | _downcast (const char *logical_type_id)
| Get the correct vtable.
virtual void | _dispatch (TAO_ServerRequest &req, void *_servant_upcall ACE_ENV_ARG_DECL)
::CORBA::Policy * | _this (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
| Get this interface's repository id (TAO specific).
virtual CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
## Static Public Methods
void | _is_a_skel (TAO_ServerRequest &req, void *servant, void *servant_upcall ACE_ENV_ARG_DECL)
void | _non_existent_skel (TAO_ServerRequest &req, void *servant, void *servant_upcall ACE_ENV_ARG_DECL)
void | _interface_skel (TAO_ServerRequest &req, void *servant, void *servant_upcall ACE_ENV_ARG_DECL)
void | _component_skel (TAO_ServerRequest &req, void *obj, void *servant_upcall ACE_ENV_ARG_DECL)
void | _get_policy_type_skel (TAO_ServerRequest &_tao_req, void *_tao_servant, void *_tao_servant_upcall ACE_ENV_ARG_DECL)
void | copy_skel (TAO_ServerRequest &_tao_req, void *_tao_servant, void *_tao_servant_upcall ACE_ENV_ARG_DECL)
void | destroy_skel (TAO_ServerRequest &_tao_req, void *_tao_servant, void *_tao_servant_upcall ACE_ENV_ARG_DECL)
## Protected Methods
| Policy (void)

## Member Typedef Documentation

typedef ::CORBA::Policy_ptr POA_CORBA::Policy::_stub_ptr_type

typedef ::CORBA::Policy POA_CORBA::Policy::_stub_type

typedef ::CORBA::Policy_var POA_CORBA::Policy::_stub_var_type

## Constructor & Destructor Documentation

POA_CORBA::Policy::Policy | ( | void |  | ) | `[protected]`

POA_CORBA::Policy::Policy | ( | const Policy & | rhs | ) |

POA_CORBA::Policy::~Policy | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void POA_CORBA::Policy::_component_skel | ( | TAO_ServerRequest & | req,
|  | void * | obj,
|  | void *servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual void POA_CORBA::Policy::_dispatch | ( | TAO_ServerRequest & | req,
|  | void *_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[virtual]`

void * POA_CORBA::Policy::_downcast | ( | const char * | logical_type_id | ) | `[virtual]`

| Get the correct vtable. Implements TAO_ServantBase.

void POA_CORBA::Policy::_get_policy_type_skel | ( | TAO_ServerRequest & | _tao_req,
|  | void * | _tao_servant,
|  | void *_tao_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

const char * POA_CORBA::Policy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Get this interface's repository id (TAO specific). Implements TAO_ServantBase.

void POA_CORBA::Policy::_interface_skel | ( | TAO_ServerRequest & | req,
|  | void * | servant,
|  | void *servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual CORBA::Boolean POA_CORBA::Policy::_is_a | ( | const char *logical_type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Local implementation of the CORBA::Object::_is_a method. Reimplemented from TAO_ServantBase.

void POA_CORBA::Policy::_is_a_skel | ( | TAO_ServerRequest & | req,
|  | void * | servant,
|  | void *servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

void POA_CORBA::Policy::_non_existent_skel | ( | TAO_ServerRequest & | req,
|  | void * | servant,
|  | void *servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

CORBA::Policy * POA_CORBA::Policy::_this | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

virtual ::CORBA::Policy_ptr POA_CORBA::Policy::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

void POA_CORBA::Policy::copy_skel | ( | TAO_ServerRequest & | _tao_req,
|  | void * | _tao_servant,
|  | void *_tao_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual void POA_CORBA::Policy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

void POA_CORBA::Policy::destroy_skel | ( | TAO_ServerRequest & | _tao_req,
|  | void * | _tao_servant,
|  | void *_tao_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual CORBA::PolicyType POA_CORBA::Policy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

The documentation for this class was generated from the following files:

- PolicyS.h
- PolicyS.cpp